Bug 656541 - Please Update Spec File to use %ghost on files in /var/run and /var/lock
Please Update Spec File to use %ghost on files in /var/run and /var/lock
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: 389-ds-base (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rich Megginson
Fedora Extras Quality Assurance
http://lists.fedoraproject.org/piperm...
: screened
Depends On:
Blocks: 827166
  Show dependency treegraph
 
Reported: 2010-11-23 18:23 EST by Lennart Poettering
Modified: 2012-05-31 15:39 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-14 16:53:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lennart Poettering 2010-11-23 18:23:46 EST
Your package 389-ds-base appears to include a file in /var/run or /var/lock. With an upcoming change in Rawhide these directories will now be mounted as tmpfs. For details about this change please consult http://lists.fedoraproject.org/pipermail/devel-announce/2010-November/000726.html For your package this means that you need add %ghost to all files that are placed in either of these two directories. Please make sure to make this change in time for the F15 cycle. For details about %ghost see http://www.rpm.org/max-rpm-snapshot/s1-rpm-inside-files-list-directives.html#S3-RPM-INSIDE-FLIST-GHOST-DIRECTIVE , for more information on the F15 feature see the feature page https://fedoraproject.org/wiki/Features/var-run-tmpfs . If your package already uses %ghost on these files, feel free to close this bug report right-away. Sorry for this mass bug filing, and if you have any further questions, don't hesitate to ask on fedora-devel or ask me personally. Thank you, Lennart
Comment 1 Rich Megginson 2010-12-14 16:53:29 EST
commit 09ca048e50b73c1f0151f271cd2734f804a8d4ef
Author: Rich Megginson <rmeggins@redhat.com>
Date:   Tue Dec 14 14:04:01 2010 -0700

    Resolves: bug 656541 - use %ghost on files in /var/lock

Note You need to log in before you can comment on or make changes to this bug.